Soporte para parches de software de terceros de Adobe LiveCycle

Los requisitos de software de terceros para todas las versiones de Adobe LiveCycle se documentan en la sección Requisitos del sistema de sus respectivos documentos de producto. Puede acceder a toda la documentación de las versiones de LiveCycle compatibles actualmente desde www.adobe.com/support/documentation/en/livecycle/ siguiendo el enlace correspondiente a su versión. Para los requisitos de la versión 7.2.x, revise el documento de instalación y configuración de LiveCycle correspondiente a la combinación del producto y el servidor de aplicaciones. Para las versiones 8.x y posteriores, consulte el documento Preparándose para instalar LiveCycle para su versión de LiveCycle.

Las plataformas de referencia de terceros de Adobe LiveCycle indican el nivel de parche específico de la infraestructura de terceros que estaba actualizado durante el desarrollo y la publicación de cada versión de LiveCycle, y constituyen el nivel mínimo de parche/paquete de servicios de la infraestructura compatible con esa versión de LiveCycle.  

Adobe es compatible con parches urgentes o recomendados emitidos por proveedores externos a partir de su lanzamiento, siempre y cuando estos garanticen la compatibilidad con las versiones compatibles con Adobe LiveCycle. Adobe solo admite parches publicados después del nivel mínimo de parches indicado en la documentación de LiveCycle.

En algunos casos, Adobe no puede admitir actualizaciones de terceros que cambien la funcionalidad principal y, por lo tanto, no admite la compatibilidad total con versiones anteriores. Para obtener más información sobre las actualizaciones admitidas, consulte las definiciones de parches admitidos para el producto del proveedor específico y los tipos de parches que admite Adobe.

En algunas circunstancias que escapan al control de Adobe, los parches de terceros que afirman ser compatibles con versiones anteriores pueden tener un impacto negativo en los productos de Adobe o en los entornos de los clientes. En tales casos, Adobe recomienda que los clientes evalúen el impacto de cualquier parche urgente de un tercero antes de aplicarlo a sistemas fundamentales. Adobe trabaja con terceros en esfuerzos empresariales razonables para resolver estos problemas, ya sea a través de los programas de soporte normales de Adobe o de terceros que rectifiquen el problema en su parche. Esto no garantiza que un parche de terceros recién publicado que sea compatible con Adobe funcionará según lo documentado por el proveedor o con Adobe LiveCycle.

También puede encontrar información adicional sobre parches de terceros en los artículos de la base de conocimientos del sitio de asistencia técnica de Adobe Enterprise relacionados con su producto.

Ejemplo general

Adobe LiveCycle 7.2 es compatible con IBM WebSphere 5.1.1.5 y con todos los parches y paquetes de correcciones publicados después de este punto. Por lo tanto, WebSphere 5.1.1 con Fix Pack 11 es compatible porque se lanzó después de Fix Pack 5.

Definiciones de parches compatibles con el proveedor

Sistemas operativos:

  • Microsoft Windows: Service Packs y actualizaciones críticas(1)
  • IBM AIX: Niveles de mantenimiento y PTF
  • Sun Solaris: Actualizaciones y parches (patchadd) (2)
  • RedHat Linux: Actualizaciones acumulativas (3) y actualizaciones marcadas como críticas
  • Novell SuSE Linux: Actualizaciones acumuladas recomendadas y críticas de seguridad

(1) Por ejemplo, parches de Windows Server 2003 SP1, Windows Server 2003 proporcionados por Windows Update etiquetados como "críticos" pero no opcionales.

(2) Específicamente las actualizaciones se distribuyen y aplican con la herramienta patchadd.

(3) Por ejemplo, RHAS 3.0 Update 1 RHEL 5.1

Servidores de aplicaciones Java:

  • IBM WebSphere: paquetes de correcciones, JDK SR
  • BEA/Oracle WebLogic: parches (paquetes de mantenimiento de 9.2 y 10)
  • RedHat JBoss Application Server: parches y parches acumulativos para la edición EAP compatible (4)

(4) Por ejemplo: Si EAP 5.1.0 es compatible, puede pasar de EAP 5.1.0 CP1 a EAP 5.1.0 CP2. Sin embargo, no es posible pasar de una versión micro a otra. Por ejemplo, no es posible pasar de 5.1.0 a 5.1.1

Las actualizaciones de JDK son las recomendadas por el proveedor del servidor de aplicaciones o, cuando Adobe certifica una serie de versiones, la que Adobe certificó o posterior.

Bases de datos:

  • MySQL: actualizaciones que no cambian la versión Major.Minor
  • IBM DB2: paquetes de correcciones y APAR
  • Oracle: juegos de parches
  • Microsoft SQL Server: actualizaciones y Service Packs

Servidores de directorios:

  • SunOne Directory Server: paquetes de servicio
  • Microsoft ActiveDirectory: como parte de la actualización del sistema operativo
  • Novell eDirectory: actualizaciones de productos

Content Management Systems:

  • EMC Documentum: paquetes de correcciones y soluciones rápidas
  • IBM Content Manager: paquetes de correcciones e iFix
  • IBM FileNet: Paquetes de servicios

Navegadores web:

  • Microsoft Internet Explorer: Paquetes de servicios y actualizaciones 
  • Netscape Navigator: Parche
  • Mozilla FireFox: Actualizaciones de seguridad que cambian la versión de doble punto (5)
  • Apple Safari: Actualizaciones de las versiones de doble y triple punto, correcciones de seguridad

(5) Por ejemplo, la versión 1.5.1 es una actualización de seguridad para FireFox 1.5.

Logotipo de Adobe

Inicia sesión en tu cuenta